## nanovna-saver 0.6.2

=== requirements.txt ===
pyserial==3.5
PyQt6==6.5.2
numpy==1.25.1
scipy==1.11.1
Cython==3.0.0
setuptools==68.0.0
setuptools-scm==7.1.0

## nanovna-saver 0.6.0.20230320

=== debian/changelog ===
nanovna-saver (0.6.0.20230320-1) experimental; urgency=medium

  * Initial release. Closes: #1033205.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 20 Mar 2023 23:41:04 +0100

=== debian/control ===
Source: nanovna-saver
Section: electronics
Priority: optional
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 pybuild-plugin-pyproject,
 python3,
 python3-numpy,
 python3-pyqt6,
 python3-scipy,
 python3-serial,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
Standards-Version: 4.6.2
Homepage: https://github.com/NanoVNA-Saver/nanovna-saver
Vcs-Browser: https://salsa.debian.org/debian/nanovna-saver
Vcs-Git: https://salsa.debian.org/debian/nanovna-saver.git

Package: nanovna-saver
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using: ${sphinxdoc:Built-Using}
Description: view and export Touchstone data from a NanoVNA radio network tester device
 The NanoVNA device is a vector network analyzer and antenna analyzer,
 useful to test or instrument various kinds of radio networks.
 .
 NanoVNA-saver imports Touchstone files from the NanoVNA, sweeps
 frequency spans in segments to gain more than 101 data points, and
 generally displays and analyzes the resulting data.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	http_proxy=127.0.0.1:9 \
	https_proxy=127.0.0.1:9 \
	PYTHONPATH=. \
	python3 -m sphinx -N -bhtml docs/ build/html

## nanovna-saver 0.6.0.20230708

=== debian/changelog ===
nanovna-saver (0.6.0.20230708-1) unstable; urgency=medium

  * Upload new upstream snapshot to unstable.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 17 Jul 2023 14:07:43 +0200

## nanovna-saver 0.6.2

=== debian/changelog ===
nanovna-saver (0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/gbp.conf: use upstream tags as ancestors for Debian tags

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 15 Aug 2023 20:20:43 +0000

## nanovna-saver 0.6.3

=== Makefile ===
.PHONY: info
info:
	@echo "- type 'make deb' to build a debian package"
	@echo "- type 'make rpm' to build an (experimental) rpm package"
	@echo "- you need the debian packages"
	@echo "  fakeroot python3-setuptools python3-stdeb dh-python"
	@echo


# build a new debian package and create a link in the current directory
.PHONY: deb
deb: clean
	@# build the deb package
	PYBUILD_DISABLE=test python3 setup.py \
	  --command-packages=stdeb.command \
	  sdist_dsc --compat 10 --package3 nanovnasaver --section electronics \
	  bdist_deb
	@# create a link in the main directory
	-@ rm nanovnasaver_*_all.deb
	-@ln `ls deb_dist/nanovnasaver_*.deb | tail -1` .
	@# and show the result
	@ls -l nanovnasaver_*.deb


# build a new rpm package and create a link in the current directory
.PHONY: rpm
rpm: clean
	@# build the rpm package
	PYBUILD_DISABLE=test python3 setup.py bdist_rpm
	@# create a link in the main directory
	-@ rm NanoVNASaver-*.noarch.rpm
	@ln `ls dist/NanoVNASaver-*.noarch.rpm | tail -1` .
	@# and show the result
	@ls -l NanoVNASaver-*.noarch.rpm


# remove all package build artifacts (keep the *.deb)
.PHONY: clean
clean:
	python setup.py clean
	-rm -rf build deb_dist dist *.tar.gz *.egg*


# remove all package build artefacts
.PHONY: distclean
distclean: clean
	-rm -f *.deb *.rpm


# build and install a new debian package
.PHONY: debinstall
debinstall: deb
	sudo apt install ./nanovnasaver_*.deb


# uninstall this debian package
.PHONY: debuninstall
debuninstall:
	sudo apt purge nanovnasaver

=== requirements.txt ===
pyserial==3.5
PyQt6==6.5.2
PyQt6-sip==13.6.0
sip==6.7.12
numpy==1.26.2
scipy==1.11.3
Cython==3.0.5
setuptools==68.2.2
setuptools-scm==8.0.4

=== debian/changelog ===
nanovna-saver (0.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove cython from build time dependencies. Closes: #1057993.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 15 Dec 2023 23:22:11 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- dh-sequence-sphinxdoc,
+ dh-sequence-sphinxdoc <!nodoc>,
  pybuild-plugin-pyproject,
  python3,
  python3-numpy,
@@ -15,7 +15,7 @@
  python3-serial,
  python3-setuptools,
  python3-setuptools-scm,
- python3-sphinx,
+ python3-sphinx <!nodoc>,
 Standards-Version: 4.6.2
 Homepage: https://github.com/NanoVNA-Saver/nanovna-saver
 Vcs-Browser: https://salsa.debian.org/debian/nanovna-saver

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	http_proxy=127.0.0.1:9 \
	https_proxy=127.0.0.1:9 \
	PYTHONPATH=. \
	python3 -m sphinx -N -bhtml docs/ build/html
endif

## nanovna-saver 0.6.5

=== requirements.txt ===
pyserial==3.5
PyQt6==6.7.1
PyQt6-sip==13.8.0
sip==6.8.6
numpy==2.1.2
scipy==1.14.1
Cython==3.0.11
setuptools==75.2.0
setuptools-scm==8.1.0

=== debian/changelog ===
nanovna-saver (0.6.5-1) unstable; urgency=medium

  * New upstream release.  Closes: #1085734.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 27 Nov 2024 12:14:34 +0000

## nanovna-saver 0.6.8

=== debian/changelog ===
nanovna-saver (0.6.8-2) unstable; urgency=medium

  * Add a manual page for the second script in /usr/bin.
  * Install the desktop file and icon.
  * Explicitly depend on setuptools-scm.  Closes: #1094491.
  * Fix lintian issues in desktop file.
  * Remove cython from pyproject.toml, hence at least from python:Depends.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 29 Jan 2025 11:16:10 +0000

nanovna-saver (0.6.8-1) unstable; urgency=medium

  * New upstream version.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 17 Dec 2024 16:14:38 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/NanoVNA-Saver/nanovna-saver
 Vcs-Browser: https://salsa.debian.org/debian/nanovna-saver
 Vcs-Git: https://salsa.debian.org/debian/nanovna-saver.git
@@ -27,6 +27,8 @@
  ${misc:Depends},
  ${python3:Depends},
  ${sphinxdoc:Depends},
+# About.py imports setuptools_scm.
+ python3-setuptools-scm,
 Built-Using: ${sphinxdoc:Built-Using}
 Description: view and export Touchstone data from a NanoVNA radio network tester device
  The NanoVNA device is a vector network analyzer and antenna analyzer,

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,8 @@
 	PYTHONPATH=. \
 	python3 -m sphinx -N -bhtml docs/ build/html
 endif
+
+# Install an actual icon where the desktop file can load it.
+execute_after_dh_install:
+	install -D icon_48x48.png \
+	  debian/nanovna-saver/usr/share/icons/hicolor/48x48/apps/NanoVNASaver_48x48.png

## nanovna-saver 0.7.1

=== debian/changelog ===
nanovna-saver (0.7.1-1build1) plucky; urgency=medium

  * No-change rebuild to depend on the correct PySide6 package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 17 Mar 2025 01:28:06 -0500

nanovna-saver (0.7.1-1) unstable; urgency=medium

  * New upstream release, switching from pyqt to pyside.
  * Invoke pyside6-{uic,rcc} (pybuild does not).
  * Prevent installation of src/tools/.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 11 Feb 2025 13:21:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: nanovna-saver
 Section: electronics
 Priority: optional
-Maintainer: Nicolas Boulenguez <nicolas@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  pybuild-plugin-pyproject,
+ pyside6-tools,
  python3,
  python3-numpy,
- python3-pyqt6,
+ python3-pyside6.qtwidgets,
  python3-scipy,
  python3-serial,
  python3-setuptools,

## nanovna-saver 0.7.2

=== debian/changelog ===
nanovna-saver (0.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Enable pristine-tar.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 21 Feb 2025 19:51:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nanovna-saver
 Section: electronics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nicolas Boulenguez <nicolas@debian.org>
+Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -18,7 +17,7 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/NanoVNA-Saver/nanovna-saver
 Vcs-Browser: https://salsa.debian.org/debian/nanovna-saver
 Vcs-Git: https://salsa.debian.org/debian/nanovna-saver.git

## nanovna-saver 0.7.3

=== debian/changelog ===
nanovna-saver (0.7.3-2) unstable; urgency=medium

  * Apply upstream commit preventing installation of tools.
  * Explicitly depend on pyside6 packages. Closes: #1112747.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 08 Sep 2025 17:49:23 +0000

nanovna-saver (0.7.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build against updated pyside6 packages with updated dh-python and pyside6
    metadata (Closes: #1099452).

 -- Stuart Prescott <stuart@debian.org>  Sat, 15 Mar 2025 14:41:15 +1100

nanovna-saver (0.7.3-1) unstable; urgency=medium

  * New upstream release.
  * Rebuild with libpyside6-py3-6.8. Closes: #1099452.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 05 Mar 2025 12:17:44 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
- pybuild-plugin-pyproject,
+ pybuild-plugin-pyproject (>> 6.20250308~),
  pyside6-tools,
  python3,
  python3-numpy,
@@ -17,7 +17,10 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx <!nodoc>,
-Standards-Version: 4.7.1
+Build-Conflicts:
+ libpyside6-py3-6.7,
+ libpyside6-py3-6.8 (<< 6.8.2.1-3~)
+Standards-Version: 4.7.2
 Homepage: https://github.com/NanoVNA-Saver/nanovna-saver
 Vcs-Browser: https://salsa.debian.org/debian/nanovna-saver
 Vcs-Git: https://salsa.debian.org/debian/nanovna-saver.git
@@ -28,6 +31,8 @@
  ${misc:Depends},
  ${python3:Depends},
  ${sphinxdoc:Depends},
+# dh_python3 currently ignores pyside6 in pyproject.toml.
+ python3-pyside6.qtwidgets,
 # About.py imports setuptools_scm.
  python3-setuptools-scm,
 Built-Using: ${sphinxdoc:Built-Using}

=== debian/rules ===
#!/usr/bin/make -f

%:
  # Explicitly prefer pyproject.toml over Makefile.
	dh $@ --buildsystem=pybuild

# pyproject.toml -> src/tools/ui_compile.py -> src/tools/setuptools_wrapper.py
# For some reason, this does not happen.
execute_before_dh_auto_build: src/NanoVNASaver/Windows/ui/about.py
src/NanoVNASaver/Windows/ui/about.py: %.py: %.ui
	pyside6-uic $< -o $@ --from-imports
execute_before_dh_auto_build: src/NanoVNASaver/Windows/ui/main_rc.py
src/NanoVNASaver/Windows/ui/main_rc.py: %_rc.py: %.qrc
	pyside6-rcc $< -o $@

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	http_proxy=127.0.0.1:9 \
	https_proxy=127.0.0.1:9 \
	PYTHONPATH=. \
	python3 -m sphinx -N -bhtml docs/ build/html
endif

=== debian/watch ===
version=4

https://github.com/NanoVNA-Saver/nanovna-saver/tags \
  (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## nanovna-saver 0.7.4~pre1

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 # remove all package build artifacts (keep the *.deb)
 .PHONY: clean
 clean:
-	python setup.py clean
+	python3 setup.py clean
 	-rm -rf build deb_dist dist *.tar.gz *.egg*
 
 
@@ -57,4 +57,3 @@
 .PHONY: debuninstall
 debuninstall:
 	sudo apt purge nanovnasaver
-

=== docs/requirements.txt ===
# Requirements file for ReadTheDocs, check .readthedocs.yml.
# To build the module reference correctly, make sure every external package
# under `install_requires` in `setup.cfg` is also listed here!
sphinx>=3.2.1
# sphinx_rtd_theme

=== debian/changelog ===
nanovna-saver (0.7.4~pre1-1) unstable; urgency=medium

  * New upstream snapshot.
  * Remove now redundant Rules-Requires-Root: no.
  * Delegate more of .qrc and .ui handling to upstream build system.
  * Delegate more of doc generation to upstream build system.
  * Add lintian override for built-using-field-on-arch-all-package.
  * Update watch file to format version 5.
  * Add license for new upstream metadata.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 29 Oct 2025 16:13:15 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: electronics
 Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -16,7 +15,7 @@
  python3-serial,
  python3-setuptools,
  python3-setuptools-scm,
- python3-sphinx <!nodoc>,
+ sphinx <!nodoc>,
 Build-Conflicts:
  libpyside6-py3-6.7,
  libpyside6-py3-6.8 (<< 6.8.2.1-3~)

=== debian/rules ===
#!/usr/bin/make -f

%:
  # Explicitly prefer pyproject.toml over Makefile.
	dh $@ --buildsystem=pybuild

# pyproject.toml -> src/tools/setuptools_wrapper.py -> src/tools/ui_compile.py
# For some reason, this does not happen.
override_dh_auto_configure:
	python3 -m src.tools.ui_compile

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	http_proxy=127.0.0.1:9 \
	https_proxy=127.0.0.1:9 \
	make -Cdocs html BUILDDIR=../build
endif

=== debian/watch ===
Version: 5

Template: GitHub
Owner: NanoVNA-Saver
Project: nanovna-saver
